#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/../common
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_CURRENT_SOURCE_DIR}/../kbabeldict
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kbabel_validator.desktop kbabel_tool.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
  PO_DIR kbabel-desktops
)



##### kbabelcommonui (static) ###################

tde_add_library( kbabelcommonui STATIC_PIC AUTOMOC
  SOURCES
    tdelisteditor.ui context.cpp tdeactionselector.cpp
    toolselectionwidget.cpp toolaction.cpp finddialog.cpp
    roughtransdlg.cpp projectprefwidgets.cpp projectpref.cpp
    projectwizard.cpp projectwizardwidget.ui projectwizardwidget2.ui
    cmdedit.cpp diffpreferences.ui
  DEPENDENCIES kbabelcommon-shared
)
